Subject: Re: Failed to mount rootfs

From: Scott Wood <[email-masked]>
Date: Thu, 24 Jan 2008 18:24:04 -0600

Andy Fleming wrote:
>> I do not know why it is creating two chosen node. In my dts file I  
>> have
>> placed one empty chosen node:
>> chosen{
>> 	};
>> If I do not do this,  I get the following error during boot process:
>>
>> libfdt: FDT_ERR_TRUNCATED
>> Failed creating the /chosen node (0x00C00000), aborting.
>>
>> Any reason??
> 
> Are you adding padding to your dtb?
> 
> Try adding "-p 1024" to your dtc command line

I was going to ask that, but was confused by the fact that the error was 
FDT_ERR_TRUNCATED, not FDT_ERR_NOSPACE.

-Scott